/*
 * Copyright (C) 2011, Jamie Thompson
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef IEVENT_H
#define IEVENT_H

#include "iHashable.h"

namespace DBBackends { class iDBBackend; }

class AttachmentCollection;

class QDateTime;
class QString;

namespace EventTypes
{
	class iEvent : public iHashable
	{
		public:
			virtual ~iEvent() {}

			virtual const DBBackends::iDBBackend &DB() const =0;

			virtual void Export(const QString &baseDirectory) const =0;

			virtual const QDateTime Timestamp() const =0;
			virtual const AttachmentCollection & Attachments() const =0;
			virtual AttachmentCollection & Attachments() =0;
	};
}

#endif // IEVENT_H
