/*
 * Copyright (C) 2011, Jamie Thompson
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef RESTOREACCOUNTSTATEWINDOW_H
#define RESTOREACCOUNTSTATEWINDOW_H

#include "BaseWindow.h"

namespace Windows
{
	class RestoreAccountStateWindow : public BaseWindow
	{
		Q_OBJECT

	public:
		explicit RestoreAccountStateWindow(Settings& settings, QWidget *parent = 0);

	protected slots:
		void ToggleModem();
		void SetAccountStatus();
		void Proceed();

	protected:

	private:
		void CreateContents();
		void Advance();

		const uint NumEnabledAccounts();
	};
}
#endif // RESTOREACCOUNTSTATEWINDOW_H
